image: mcr.microsoft.com/dotnet/core/sdk:3.1

workflow:
  rules:
    - if: $CI_MERGE_REQUEST_ID               # Execute jobs in merge request context
    - if: $CI_COMMIT_BRANCH == 'master'      # Execute jobs when a new commit is pushed to master branch

stages:
    - build
    - test

before_script:
    - 'cd NegometrixForms05'
    - 'dotnet restore'

build:
    stage: build
    script:
        - 'dotnet build'
